### Class

# PapersView AttachmentContext

#### Description

    class PapersView.AttachmentContext : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### pps_attachment_context_new

No description available.

#### Instance methods

###### pps_attachment_context_get_model

No description available.

###### pps_attachment_context_save_attachments_async

This function initiates a file save operation.

###### pps_attachment_context_save_attachments_finish

Finishes the Pps.AttachmentContext.save_attachments_async call.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### PapersView.AttachmentContext:document-model

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PapersViewAttachmentContextClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.